Bug 1298200 - RFE: enhance how 'ostree' retrieves the commit history from a remote
RFE: enhance how 'ostree' retrieves the commit history from a remote
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ostree (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 08:24 EST by Micah Abbott
Modified: 2016-12-20 12:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:50:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Micah Abbott 2016-01-13 08:24:17 EST
With the introduction of the 'rpm-ostree depoy' command, it is important that the end user has access to the available commit history on the remote.  The current approach is to use a command like this to retrieve the commit history:

# ostree pull --depth=-1 --commit-metadata-only rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard


...and then you use 'ostree log <ref>' to list the available commits/versions on the remote:

# ostree log rhel-atomic-host/7/x86_64/standard                          
commit ec85fba1bf789268d5fe954aac09e6bd58f718e47a2fcb18bf25073b396e695d
Date:  2015-11-10 16:11:46 +0000
Version: 7.2


commit 23d96474f6775c27cf258e9872330b23f20e80ff4e0b61426debd00ca11a953f
Date:  2015-10-30 18:07:50 +0000
Version: 7.1.6


commit 8060f80ffd480b3806c83dd36c2ec6023384716572cf07037eaf49a781c2cd29
Date:  2015-09-11 18:33:12 +0000
Version: 7.1.5



While this is mostly straight-forward, I believe the workflow could be improved to be more user friendly.

Some options that were discussed on #atomic were:

* enhance 'ostree log' to automatically retrieve the commit history from the remote if only 1 commit is available locally

* introduce a new subcommand 'ostree remote log' which would retrieve the commit history from the remote

* perhaps introduce an new option to either above idea that would limit the amount of commits to retrieve (i.e. --num-commits X)
Comment 1 Colin Walters 2016-01-27 09:44:31 EST
Yeah, though another option is to find the commit IDs (and version numbers) from a website.

I'm willing to think about all any of those client-side options though.
Comment 2 Micah Abbott 2016-10-19 10:22:54 EDT
https://github.com/ostreedev/ostree/issues/534
Comment 3 Fedora End Of Life 2016-11-24 09:54:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:50:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.